aagc.vo

## Class Ricetta.ElencoFarmaciErogati

- java.lang.Object
- - aagc.vo.Ricetta.ElencoFarmaciErogati

- Enclosing class:
    Ricetta

      public static class Ricetta.ElencoFarmaciErogati
      extends java.lang.Object

  Contiene l'elenco dei farmaci erogati.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="farmaco" type="{http://www.nsisr.puglia.it/Schemas/}farmacoErogato" maxOccurs="6"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<FarmacoErogato>` | `farmaco`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElencoFarmaciErogati()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<FarmacoErogato>` | `getFarmaco()` Gets the value of the farmaco property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### farmaco

          protected java.util.List<FarmacoErogato> farmaco

  - ### Constructor Detail

    - #### ElencoFarmaciErogati

          public ElencoFarmaciErogati()

  - ### Method Detail

    - #### getFarmaco

          public java.util.List<FarmacoErogato> getFarmaco()

      Gets the value of the farmaco property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the farmaco property.

      For example, to add a new item, do as follows:

              getFarmaco().add(newItem);

      Objects of the following type(s) are allowed in the list `FarmacoErogato`